import { __require as b } from "./index-utils10.js";
var c, t;
function q() {
  if (t) return c;
  t = 1;
  var u = b();
  function v(o) {
    return u.matchAll(/\w+|\[(\w*)]/g, o).map(function(e) {
      return e[0] === "[]" ? "" : e[1] || e[0];
    });
  }
  function y(o) {
    var e = {}, a = Object.keys(o), n, s = a.length, r;
    for (n = 0; n < s; n++)
      r = a[n], e[r] = o[r];
    return e;
  }
  function m(o) {
    function e(n, s, r, f) {
      var i = n[f++], l = Number.isFinite(+i), O = f >= n.length;
      if (i = !i && u.isArray(r) ? r.length : i, O)
        return u.hasOwnProperty(r, i) ? r[i] = [r[i], s] : r[i] = s, !l;
      (!r[i] || !u.isObject(r[i])) && (r[i] = []);
      var N = e(n, s, r[i], f);
      return N && u.isArray(r[i]) && (r[i] = y(r[i])), !l;
    }
    if (u.isFormData(o) && u.isFunction(o.entries)) {
      var a = {};
      return u.forEachEntry(o, function(n, s) {
        e(v(n), s, a, 0);
      }), a;
    }
    return null;
  }
  return c = m, c;
}
export {
  q as __require
};
